#!/usr/bin/env php
<?php

if (php_sapi_name() !== 'cli') {
  http_response_code(404);
  exit(1);
}

define('PHPWG_ROOT_PATH', __DIR__.'/../../../');

/*
* This first section is basically a non-web equivalent to includes/common.inc.php
*/
require_once PHPWG_ROOT_PATH.'include/config_default.inc.php';
require_once PHPWG_ROOT_PATH.'local/config/config.inc.php';
defined('PWG_LOCAL_DIR') or define('PWG_LOCAL_DIR', 'local/');
require_once PHPWG_ROOT_PATH.PWG_LOCAL_DIR.'config/database.inc.php';
require_once PHPWG_ROOT_PATH.'include/dblayer/functions_'.$conf['dblayer'].'.inc.php';
require_once PHPWG_ROOT_PATH.'include/constants.php';
require_once PHPWG_ROOT_PATH.'include/functions.inc.php';
include_once PHPWG_ROOT_PATH.'admin/include/functions.php';
include_once PHPWG_ROOT_PATH.'admin/include/functions_upload.inc.php';
pwg_db_connect($conf['db_host'], $conf['db_user'], $conf['db_password'], $conf['db_base']);
pwg_db_check_charset();
load_conf_from_db();
load_plugins();

/*
* Set up Flickr2Piwigo.
*/
include_once(FLICKR_PATH.'include/functions.inc.php');
$flickr = get_PhpFlickr();
$user = $flickr->test()->login();
if (!$user) {
  echo l10n('API not authenticated')."\n";
  exit(1);
}

/*
* Loop through each page of the user's photos, and import each one.
*/
$totalPages = 1;
$currentPage = 1;
while ($currentPage <= $totalPages) {
  $photos = $flickr->people()->getPhotos(
    $user['id'], null, null, null, null, null,
    null, null, [], 3, $currentPage
  );
  $totalPages = $photos['pages'];
  $currentPage++;
  foreach ($photos['photo'] as $photo) {
    print_r($photo);
    exit();
    $imported = import_flickr_photo($flickr, $photo['id'], $user['username']);
    if ($imported instanceof PwgError) {
      echo $imported->message()."\n";
      exit(1);
    }
    exit();
  }
};
